using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _02trade
{
    public partial class Форма_Администратора : Form
    {
        public Форма_Администратора()
        {
            InitializeComponent();
        }

        private void productBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.productBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.trade02DataSet);

        }

        private void Форма_Администратора_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "trade02DataSet1.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Fill(this.trade02DataSet1.Product);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "trade02DataSet1.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Fill(this.trade02DataSet1.Product);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "trade02DataSet1.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Fill(this.trade02DataSet1.Product);

        }

        private void productDataGridView_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void productDataGridView_CellContentClick_1(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void productDataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void label5_Click(object sender, EventArgs e)
        {

        }

        private void label4_Click(object sender, EventArgs e)
        {

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Авторизация fr = new Авторизация();
            fr.Show();
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
           Товар fr = new Товар();
            fr.Show();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.productBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.trade02DataSet);
        }

        private void checkedListBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void button4_Click(object sender, EventArgs e)
        {
            productBindingSource.RemoveCurrent();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.tableAdapterManager.UpdateAll(this.trade02DataSet);
        }
    }
}
